Name: gnome-pass-search-provider
Version: 1.3.3
Release: %autorelease
Summary: Gnome Shell search provider for zx2c4/pass
License: GPL-3.0+
Url: https://git.dm1sh.ru/dm1sh/%{name}
Source0: https://git.dm1sh.ru/dm1sh/%{name}/archive/%{version}.tar.gz
Requires:       gnome-shell
Requires:       (pass or gopass)
Requires:       python3-gobject
Requires:       python3-dbus
Requires:       python3-fuzzywuzzy
Requires:       python3-Levenshtein
%description
A Gnome Shell passwords search provider for zx2c4/pass (passwordstore.org) or compatibles and Bitwarden/Vaultwarden that sends passwords to clipboard (or GPaste).

%prep
%autosetup -n %{name}

%build

%install
sed -i -e 's|DATADIR=|DATADIR=$RPM_BUILD_ROOT|' install.sh
sed -i -e 's|LIBDIR=|LIBDIR=$RPM_BUILD_ROOT|' install.sh
./install.sh

%files
%doc README.md
%license LICENSE
%{_prefix}/lib/gnome-pass-search-provider/gnome-pass-search-provider.py
%{_prefix}/lib/systemd/user/org.gnome.Pass.SearchProvider.service
%{_prefix}/share/dbus-1/services/org.gnome.Pass.SearchProvider.service
%{_prefix}/share/applications/org.gnome.Pass.SearchProvider.desktop
%{_prefix}/share/gnome-shell/search-providers/org.gnome.Pass.SearchProvider.ini

%changelog
%autochangelog
